io.vertx.rxjava3.ext.web.handler.graphql

## Class GraphiQLHandlerBuilder

- java.lang.Object
- - io.vertx.rxjava3.ext.web.handler.graphql.GraphiQLHandlerBuilder

-     public class GraphiQLHandlerBuilder
      extends Object

  A builder for `GraphiQLHandler` instances.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<GraphiQLHandlerBuilder>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphiQLHandlerBuilder(GraphiQLHandlerBuilder delegate)`
    `GraphiQLHandlerBuilder(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GraphiQLHandlerBuilder` | `addingHeaders(java.util.function.Function<RoutingContext,MultiMap> factory)` Customize the HTTP headers to add to GraphQL requests sent by the GraphiQL user interface.
    `GraphiQLHandler` | `build()`
    `boolean` | `equals(Object o)`
    `GraphiQLHandlerBuilder` | `getDelegate()`
    `int` | `hashCode()`
    `static GraphiQLHandlerBuilder` | `newInstance(GraphiQLHandlerBuilder arg)`
    `String` | `toString()`
    `GraphiQLHandlerBuilder` | `with(GraphiQLHandlerOptions options)` Change the `GraphiQLHandlerOptions` to use.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<GraphiQLHandlerBuilder> __TYPE_ARG

  - ### Constructor Detail

    - #### GraphiQLHandlerBuilder

          public GraphiQLHandlerBuilder(GraphiQLHandlerBuilder delegate)

    - #### GraphiQLHandlerBuilder

          public GraphiQLHandlerBuilder(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public GraphiQLHandlerBuilder getDelegate()

    - #### with

          public GraphiQLHandlerBuilder with(GraphiQLHandlerOptions options)

      Change the `GraphiQLHandlerOptions` to use.
      Parameters:
        `options` -
      Returns:
        a reference to this, so the API can be used fluently

    - #### addingHeaders

          public GraphiQLHandlerBuilder addingHeaders(java.util.function.Function<RoutingContext,MultiMap> factory)

      Customize the HTTP headers to add to GraphQL requests sent by the GraphiQL user interface. The result will be applied on top of the fixed set of headers specified in `GraphiQLHandlerOptions`.

      This can be useful if, for example, the server is protected by authentication.

      Parameters:
        `factory` -
      Returns:
        a reference to this, so the API can be used fluently

    - #### build

          public GraphiQLHandler build()

      Returns:
        a new instance of `GraphiQLHandler`

    - #### newInstance

          public static GraphiQLHandlerBuilder newInstance(GraphiQLHandlerBuilder arg)

Copyright © 2024 Eclipse. All rights reserved.